summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /dev-python/imapclient
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'dev-python/imapclient')
-rw-r--r--dev-python/imapclient/Manifest2
-rw-r--r--dev-python/imapclient/files/0.12-tests.patch36
-rw-r--r--dev-python/imapclient/imapclient-0.12.ebuild63
-rw-r--r--dev-python/imapclient/imapclient-0.13.ebuild63
-rw-r--r--dev-python/imapclient/metadata.xml8
5 files changed, 172 insertions, 0 deletions
diff --git a/dev-python/imapclient/Manifest b/dev-python/imapclient/Manifest
new file mode 100644
index 00000000000..024dfc8f164
--- /dev/null
+++ b/dev-python/imapclient/Manifest
@@ -0,0 +1,2 @@
+DIST IMAPClient-0.12.tar.gz 100698 SHA256 037ff008f1454287c1ed8684e1cf40b2ced382a875c5157dce380562f3566e15 SHA512 bd7d3e3911ff5ef1cc4a66f20e261955851562e76228f941d35f16a4680678be6a3741d520cc3133925a2dba9e8b6b5b988d7a740ff8abb63c14db1cf962acda WHIRLPOOL 134bf4db98806dbaf98bd780b92b8be2a2dbbcfec1ae83320f52a83bf0952f139bebd99d686d212830d25c08886217062577576a76205af54085628b03d7dbeb
+DIST IMAPClient-0.13.tar.gz 102427 SHA256 3a0e9a3c790722aa4882982090e68546c7f9352eb535026b06cead965968f36c SHA512 daebaf7f4180b6c9c6f4a486b313abfdd06f3ed8ece18a19bf46a50e56c2094e85de8a8e4efb8850566378eba016c10816611d03852caf637ee1d43f3c8a418f WHIRLPOOL b29ae9ea83ea4e736202af263215132028da47dfb4e9ee220b37e35eb2649cb85cc46bdabf6b06c5edb5f5173b8b942cb73293c0ae22c5efb1397c7bb65cfde9
diff --git a/dev-python/imapclient/files/0.12-tests.patch b/dev-python/imapclient/files/0.12-tests.patch
new file mode 100644
index 00000000000..0bd0d001e6e
--- /dev/null
+++ b/dev-python/imapclient/files/0.12-tests.patch
@@ -0,0 +1,36 @@
+diff -ur IMAPClient-0.12.orig/imapclient/test/test_imapclient.py IMAPClient-0.12/imapclient/test/test_imapclient.py
+--- imapclient/test/test_imapclient.py 2015-01-12 19:36:18.000000000 +0800
++++ imapclient/test/test_imapclient.py 2015-01-17 08:42:46.669121934 +0800
+@@ -10,7 +10,7 @@
+ from datetime import datetime
+ from mock import patch, sentinel, Mock
+
+-from imapclient import six
++import six
+ from imapclient.fixed_offset import FixedOffset
+ from .testable_imapclient import TestableIMAPClient as IMAPClient
+ from .imapclient_test import IMAPClientTest
+diff -ur IMAPClient-0.12.orig/imapclient/test/test_imap_utf7.py IMAPClient-0.12/imapclient/test/test_imap_utf7.py
+--- imapclient/test/test_imap_utf7.py 2015-01-12 19:36:18.000000000 +0800
++++ imapclient/test/test_imap_utf7.py 2015-01-17 08:43:23.893392410 +0800
+@@ -4,7 +4,7 @@
+
+ from __future__ import unicode_literals
+
+-from imapclient.six import text_type, binary_type, int2byte, unichr
++from six import text_type, binary_type, int2byte, unichr
+ from imapclient.imap_utf7 import decode, encode
+ from imapclient.test.util import unittest
+
+diff -ur IMAPClient-0.12.orig/imapclient/test/test_response_lexer.py IMAPClient-0.12/imapclient/test/test_response_lexer.py
+--- imapclient/test/test_response_lexer.py 2015-01-12 19:36:18.000000000 +0800
++++ imapclient/test/test_response_lexer.py 2015-01-17 08:42:14.749747748 +0800
+@@ -5,7 +5,7 @@
+ from __future__ import unicode_literals
+
+ from imapclient.response_lexer import TokenSource
+-from imapclient.six import next
++from six import next
+ from imapclient.test.util import unittest
+
+
diff --git a/dev-python/imapclient/imapclient-0.12.ebuild b/dev-python/imapclient/imapclient-0.12.ebuild
new file mode 100644
index 00000000000..26390b0d019
--- /dev/null
+++ b/dev-python/imapclient/imapclient-0.12.ebuild
@@ -0,0 +1,63 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+PYTHON_COMPAT=( python{2_7,3_3,3_4} pypy )
+
+inherit distutils-r1
+
+MY_PN="IMAPClient"
+MY_P="${MY_PN}-${PV}"
+
+DESCRIPTION="easy-to-use, pythonic, and complete IMAP client library"
+HOMEPAGE="http://imapclient.freshfoo.com/"
+SRC_URI="mirror://pypi/${MY_PN:0:1}/${MY_PN}/${MY_P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="amd64 x86"
+IUSE="doc examples test"
+
+RDEPEND="dev-python/six[${PYTHON_USEDEP}]"
+DEPEND="${RDEPEND}
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ test? ( $(python_gen_cond_dep 'dev-python/mock[${PYTHON_USEDEP}]' python2_7 pypy) )"
+
+S=${WORKDIR}/${MY_P}
+
+python_prepare_all() {
+ # use system setuptools
+ sed -i '/use_setuptools/d' setup.py || die
+
+ # drop explicit mock version test dep
+ sed -i "/tests_require/s:'mock==.\+':'mock':" setup.py || die
+
+ # use system six library. patch proven less preferable to use of sed (< maintenance)
+ # but a copy of the working hunks from prior version works fine for now.
+ rm imapclient/six.py || die
+ epatch "${FILESDIR}"/0.12-tests.patch
+ sed -e 's:from .six:from six:g' \
+ -e 's:from . import six:import six:g' \
+ -i ${PN}/*.py || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ "${PYTHON}" -m unittest discover || die "tests failed under ${EPYTHON}"
+}
+
+python_install() {
+ distutils-r1_python_install
+ # don't install examples and tests in module dir
+ rm -r "${D}"$(python_get_sitedir)/imapclient/{examples,test} || die
+}
+
+python_install_all() {
+# local DOCS=( AUTHORS HACKING.rst NEWS.rst README.rst THANKS )
+ use doc && local HTML_DOCS=( doc/html/. )
+ distutils-r1_python_install_all
+ use examples && dodoc -r ${PN}/examples
+}
diff --git a/dev-python/imapclient/imapclient-0.13.ebuild b/dev-python/imapclient/imapclient-0.13.ebuild
new file mode 100644
index 00000000000..09abfd0c76d
--- /dev/null
+++ b/dev-python/imapclient/imapclient-0.13.ebuild
@@ -0,0 +1,63 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+PYTHON_COMPAT=( python{2_7,3_3,3_4} pypy )
+
+inherit distutils-r1
+
+MY_PN="IMAPClient"
+MY_P="${MY_PN}-${PV}"
+
+DESCRIPTION="easy-to-use, pythonic, and complete IMAP client library"
+HOMEPAGE="http://imapclient.freshfoo.com/"
+SRC_URI="mirror://pypi/${MY_PN:0:1}/${MY_PN}/${MY_P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="doc examples test"
+
+RDEPEND="dev-python/six[${PYTHON_USEDEP}]"
+DEPEND="${RDEPEND}
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ test? ( $(python_gen_cond_dep 'dev-python/mock[${PYTHON_USEDEP}]' python2_7 pypy) )"
+
+S=${WORKDIR}/${MY_P}
+
+python_prepare_all() {
+ # use system setuptools
+ sed -i '/use_setuptools/d' setup.py || die
+
+ # drop explicit mock version test dep
+ sed -i "/tests_require/s:'mock==.\+':'mock':" setup.py || die
+
+ # use system six library. patch proven less preferable to use of sed (< maintenance)
+ # but a copy of the working hunks from prior version works fine for now.
+ rm imapclient/six.py || die
+ epatch "${FILESDIR}"/0.12-tests.patch
+ sed -e 's:from .six:from six:g' \
+ -e 's:from . import six:import six:g' \
+ -i ${PN}/*.py || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ "${PYTHON}" -m unittest discover || die "tests failed under ${EPYTHON}"
+}
+
+python_install() {
+ distutils-r1_python_install
+ # don't install examples and tests in module dir
+ rm -r "${D}"$(python_get_sitedir)/imapclient/{examples,test} || die
+}
+
+python_install_all() {
+# local DOCS=( AUTHORS HACKING.rst NEWS.rst README.rst THANKS )
+ use doc && local HTML_DOCS=( doc/html/. )
+ distutils-r1_python_install_all
+ use examples && dodoc -r ${PN}/examples
+}
diff --git a/dev-python/imapclient/metadata.xml b/dev-python/imapclient/metadata.xml
new file mode 100644
index 00000000000..4c44ce85c8d
--- /dev/null
+++ b/dev-python/imapclient/metadata.xml
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <herd>python</herd>
+ <upstream>
+ <remote-id type="pypi">IMAPClient</remote-id>
+ </upstream>
+</pkgmetadata>